| helics 3.6.1

Public Member Functions | List of all members
helics::FilterOperator Class Referenceabstract

`#include <core-data.hpp>`

Inheritance diagram for helics::FilterOperator:

## Public Member Functions
| FilterOperator ()=default
virtual | ~FilterOperator ()=default
virtual std::unique_ptr< Message > | process (std::unique_ptr< Message > message)=0
virtual std::vector< std::unique_ptr< Message > > | processVector (std::unique_ptr< Message > message)
std::unique_ptr< Message > | operator() (std::unique_ptr< Message > message)
virtual bool | isMessageGenerating () const

## Detailed Description

FilterOperator abstract class

FilterOperators will transform a message in some way in a direct fashion

## Constructor & Destructor Documentation

## ◆ FilterOperator()

helics::FilterOperator::FilterOperator | ( |  | ) |
| default

default constructor

## ◆ ~FilterOperator()

virtual helics::FilterOperator::~FilterOperator | ( |  | ) |
| virtual default

virtual destructor

## Member Function Documentation

## ◆ isMessageGenerating()

virtual bool helics::FilterOperator::isMessageGenerating | ( |  | ) | const
| inline virtual

indicator if the filter Operator has the capability of generating completely new messages or redirecting messages

Reimplemented in helics::CloneOperator, and helics::MessageDestOperator.

## ◆ operator()()

std::unique_ptr<Message> helics::FilterOperator::operator() | ( | std::unique_ptr< Message > | message | ) |
| inline

make the operator work like one

calls the process function

References process().

## ◆ process()

virtual std::unique_ptr<Message> helics::FilterOperator::process | ( | std::unique_ptr< Message > | message | ) |
| pure virtual

filter the message either modify the message or generate a new one

Implemented in helics::NullFilterOperator.

Referenced by operator()(), and processVector().

## ◆ processVector()

virtual std::vector<std::unique_ptr<Message> > helics::FilterOperator::processVector | ( | std::unique_ptr< Message > | message | ) |
| inline virtual

filter the message either modify the message or generate a new one

References process().

The documentation for this class was generated from the following file:

- core-data.hpp